import 'dart:io';

import 'package:connectivity/connectivity.dart';
import 'package:flutter/services.dart';

const MethodChannel channeling = MethodChannel('agnes.mobile.v1/channeling');

class AgnesCommonUtil {
  static Future<bool> networkConnect() async {
    var connectivityResult = await (Connectivity().checkConnectivity());
    if ((connectivityResult == ConnectivityResult.mobile) ||
        (connectivityResult == ConnectivityResult.wifi)) {
      return true;
    }
    return false;
  }

  static Future<String> getDeviceUuid() async {
    if (Platform.isAndroid) {
      var uuid = await channeling.invokeMethod('getDeviceUUID');
      return uuid ?? "";
    } else {
      return "";
    }
  }
}
